---
lang: en
title: 'API docs: logging'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.logging.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/logging](./logging.md)

## logging package

[@loopback/logging](https://github.com/loopbackio/loopback-next/tree/master/extensions/logging)

## Classes

|  Class | Description |
|  --- | --- |
|  [LoggingComponent](./logging.loggingcomponent.md) | A component providing logging facilities |
|  [WinstonLoggerProvider](./logging.winstonloggerprovider.md) | A provider class that creates WinstonLogger instances |

## Functions

|  Function | Description |
|  --- | --- |
|  [logInvocation()](./logging.loginvocation.md) | <code>@logInvocation</code> decorator for method invocations. |

## Namespaces

|  Namespace | Description |
|  --- | --- |
|  [LoggingBindings](./logging.loggingbindings.md) | Binding keys used by this component. |

## Variables

|  Variable | Description |
|  --- | --- |
|  [WINSTON\_FORMAT](./logging.winston_format.md) | An extension point for winston formats |
|  [WINSTON\_TRANSPORT](./logging.winston_transport.md) | An extension point for winston transports |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [LoggingComponentConfig](./logging.loggingcomponentconfig.md) | Configuration for LoggingComponent |


